Type to search.

Start a data frame analytics job

  • POST /_ml/data_frame/analytics/{id}/_start
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.3 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

A data frame analytics job can be started and stopped multiple times throughout its lifecycle. If the destination index does not exist, it is created automatically the first time you start the data frame analytics job. The index.number_of_shards and index.number_of_replicas settings for the destination index are copied from the source index. If there are multiple source indices, the destination index copies the highest setting values. The mappings for the destination index are also copied from the source indices. If there are any mapping conflicts, the job fails to start. If the destination index exists, it is used as is. You can therefore set up the destination index in advance with custom settings and mappings.

Required privileges

Index privileges create_index index manage read view_index_metadata
Cluster privileges manage_ml

Path parameters

id string required

Identifier for the data frame analytics job. This identifier can contain lowercase alphanumeric characters (a-z and 0-9), hyphens, and underscores. It must start and end with alphanumeric characters.

Query parameters

timeout string · default: 20s

Controls the amount of time to wait until the data frame analytics job starts.

Request body

id string

If provided, must be the same identifier as in the path.

timeout string · default: 20s

Controls the amount of time to wait until the data frame analytics job starts.

Response

application/json
acknowledged boolean required
node string required

The ID of the node that the job was started on. If the job is allowed to open lazily and has not yet been assigned to a node, this value is an empty string. The node ID of the node the job has been assigned to, or an empty string if it hasn't been assigned to a node. In serverless if the job has been assigned to run then the node ID will be "serverless".